<template>
  <div id="app">
   <link rel="stylesheet" href="../static/stylesheets/style.css">
   <link rel="stylesheet" href="../static/stylesheets/colors/main.css">

    		<!-- Header Container
================================================== -->
		<header id="header-container">
			<!-- Header -->
			<div id="header">
				<div class="container">

					<!-- Left Side Content -->
					<div class="left-side">

						<!-- Logo -->
						<div id="logo">
							<a href="index-2.html">
								<!--<img src="images/logo.png" alt="">-->
							</a>
						</div>

						<!-- Mobile Navigation -->
						<div class="mmenu-trigger">
							<button class="hamburger hamburger--collapse" type="button">
								<span class="hamburger-box">
									<span class="hamburger-inner"></span>
								</span>
							</button>
						</div>
						<!-- Main Navigation -->
						<nav id="navigation" class="style-1">
							<ul id="responsive">

								<li>
										<router-link :to="{path : '/home'}">	
									Home</router-link>
								</li>

								<li>
									<router-link :to="{path : '/outfit'}">	
									Outfit adviser</router-link>
								</li>

								<li>
									<router-link :to="{path : '/weather/weatherData'}">Weather & nearby attractions</router-link>
								</li>
								<li>
									<router-link :to="{path : '/map'}">Weather in destinations</router-link>
								</li>
								
							</ul>
						</nav>
						<div class="clearfix"></div>
						<!-- Main Navigation / End -->

					</div>
					<!-- Left Side Content / End -->
          
					<!-- Right Side Content / End -->
					<div v-if="connectedUser!=null" class="connected">
						<div class="right-side">

						<nav id="navigation" class="style-1">
							<ul id="responsive">
								<li>
									<a href="#">Profile</a>
									<div class="mega-menu mobile-styles">

										<div class="mega-menu-section">
											<ul>
												<li class="mega-menu-headline">Pages #1</li>
												<li>
													<a @click.stop="userProfile(connectedUser.data._id)">
														<i class="sl sl-icon-user"></i> User Profile</a>
												</li>
												<li>
													<a href="pages-add-listing.html">
														<i class="sl sl-icon-wallet"></i> Add Listing</a>
												</li>
												<li>
											<router-link :to="{path : '/outfitaccess'}">	
											<i class="sl sl-icon-plus"></i> Buy Token</router-link>
												</li>
											</ul>
										</div>

									</div>
								</li>
								<li>
									<a href @click="onSubmit" class="sign-in popup-with-zoom-anim">
									<i class="sl sl-icon-login"></i> Logout</a>
								</li>
							</ul>
						</nav>
					

						</div>
					</div>

					<div v-if="connectedUser==null" class="notconnected">
						<div class="right-side">
							<div class="header-widget">
								
								<a class="sign-in popup-with-zoom-anim">
									<router-link :to="{path : '/login'}">	
									<i class="sl sl-icon-login"></i> Sign In</router-link>
								</a>
							</div>
						</div>
					</div>

					<!-- Right Side Content / End -->

					<!-- Sign In Popup -->
					<div id="sign-in-dialog" class="zoom-anim-dialog mfp-hide">

						<div class="small-dialog-header">
							<h3>Sign In</h3>
						</div>

						<!--Tabs -->
						<div class="sign-in-form style-1">

							<ul class="tabs-nav">
								<li class="">
									<a href="#tab1">Log In</a>
								</li>
								<li>
									<a href="#tab2">Register</a>
								</li>
							</ul>

							<div class="tabs-container alt">

								<!-- Login -->
								<div class="tab-content" id="tab1" style="display: none;">
									<form action="/users/login" method="post" class="login">

										<p class="form-row form-row-wide">
											<label for="username">Email:
												<i class="im im-icon-Male"></i>
												<input type="text" class="input-text" name="email" />
											</label>
										</p>

										<p class="form-row form-row-wide">
											<label for="password">Password:
												<i class="im im-icon-Lock-2"></i>
												<input class="input-text" type="password" name="password" />
											</label>
											<!--<span class="lost_password">
										<a href="#" >Lost Your Password?</a>
									</span>-->
										</p>

										<div class="form-row">
											<input type="submit" class="button border margin-top-5" name="login" value="Login" />
											<!--<div class="checkboxes margin-top-10">
										<input id="remember-me" type="checkbox" name="check">
										<label for="remember-me">Remember Me</label>
									</div>-->
										</div>

									</form>
								</div>

								<!-- Register -->
								<div class="tab-content" id="tab2" style="display: none;">

									<form action="/users/register" method="post" class="register">

										<p class="form-row form-row-wide">
											<label for="username2">Username:
												<i class="im im-icon-Male"></i>
												<input type="text" class="input-text" name="username" />
											</label>
										</p>

										<p class="form-row form-row-wide">
											<label for="email2">Email Address:
												<i class="im im-icon-Mail"></i>
												<input type="text" class="input-text" name="email" />
											</label>
										</p>

										<p class="form-row form-row-wide">
											<label for="password1">Password:
												<i class="im im-icon-Lock-2"></i>
												<input class="input-text" type="password" name="password" />
											</label>
										</p>

										<p class="form-row form-row-wide">
											<label for="password2">Repeat Password:
												<i class="im im-icon-Lock-2"></i>
												<input class="input-text" type="password" name="password2" />
											</label>
										</p>

										<p class="form-row form-row-wide">
											<label for="password2">Account Address:
												<i class="im im-icon-Lock-2"></i>
												<input class="input-text" type="text" name="accountAddress" />
											</label>
										</p>
										<input type="submit" class="button border fw margin-top-10" name="register" value="Register" />

									</form>
								</div>

							</div>
						</div>
					</div>
					<!-- Sign In Popup / End -->

				</div>
			</div>
			<!-- Header / End -->

		</header>
		<div class="clearfix"></div>
		<!-- Header Container / End -->
    <router-view/>
    	<!-- Footer
================================================== -->
		<div id="footer" class="sticky-footer">
			<!-- Main -->
			<div class="container">
				<div class="row">
					<div class="col-md-5 col-sm-6">
					<!--	<img class="footer-logo" src="images/logo.png" alt="">-->
						<br>
						<br>
						<p>Morbi convallis bibendum urna ut viverra. Maecenas quis consequat libero, a feugiat eros. Nunc ut lacinia tortor morbi
							ultricies laoreet ullamcorper phasellus semper.</p>
					</div>

					<div class="col-md-4 col-sm-6 ">
						<h4>Helpful Links</h4>
						<ul class="footer-links">
							<li>
								<a href="#">Login</a>
							</li>
							<li>
								<a href="#">Sign Up</a>
							</li>
							<li>
								<a href="#">My Account</a>
							</li>
							<li>
								<a href="#">Add Listing</a>
							</li>
							<li>
								<a href="#">Pricing</a>
							</li>
							<li>
								<a href="#">Privacy Policy</a>
							</li>
						</ul>

						<ul class="footer-links">
							<li>
								<a href="#">FAQ</a>
							</li>
							<li>
								<a href="#">Blog</a>
							</li>
							<li>
								<a href="#">Our Partners</a>
							</li>
							<li>
								<a href="#">How It Works</a>
							</li>
							<li>
								<a href="#">Contact</a>
							</li>
						</ul>
						<div class="clearfix"></div>
					</div>

					<div class="col-md-3  col-sm-12">
						<h4>Contact Us</h4>
						<div class="text-widget">
							<span>12345 Little Lonsdale St, Melbourne</span>
							<br> Phone:
							<span>(123) 123-456 </span>
							<br> E-Mail:
							<span>
								<a href="#">
									<span class="__cf_email__" data-cfemail="204f4646494345604558414d504c450e434f4d">[email&#160;protected]</span>
								</a>
							</span>
							<br>
						</div>

						<ul class="social-icons margin-top-20">
							<li>
								<a class="facebook" href="#">
									<i class="icon-facebook"></i>
								</a>
							</li>
							<li>
								<a class="twitter" href="#">
									<i class="icon-twitter"></i>
								</a>
							</li>
							<li>
								<a class="gplus" href="#">
									<i class="icon-gplus"></i>
								</a>
							</li>
							<li>
								<a class="vimeo" href="#">
									<i class="icon-vimeo"></i>
								</a>
							</li>
						</ul>

					</div>

				</div>

				<!-- Copyright -->
				<div class="row">
					<div class="col-md-12">
						<div class="copyrights">© 2017 Listeo. All Rights Reserved.</div>
					</div>
				</div>

			</div>

		</div>
		<!-- Footer / End -->
		<!-- Back To Top Button -->
		<div id="backtotop">
			<a href="#"></a>
		</div>
  </div>
</template>

<script>
import VueLocalStorage from "vue-localstorage";
import Vue from "vue";
import axios from "axios";
Vue.use(VueLocalStorage);

export default {
  name: "App",
  data() {
    return {
      msg: "Welcome",
       connectedUser : JSON.parse(Vue.localStorage.get("user"))
    };
  },
  methods: {
	  onSubmit(evt) {
	  var self = this;
      evt.preventDefault();
      axios
        .get("http://34.244.196.28:443/users/logout")
        .then(response => {
         Vue.localStorage.remove("user");
		  console.log("disconnected");
			self.$router.push('/home');
			self.$router.go('/home');
        })
        .catch(e => {
          console.log(e);
        });
	},
	 userProfile (user_id) {
      this.$router.push({
        name: 'UserProfile',
        params: { id: user_id }
      })
    }
  }
};
</script>

  <script2  src="../static/javascripts/jquery-3.3.1.min.js"></script2>
  <script2 type="text/javascript" src="../static/javascripts/jquery-2.2.0.min.js"></script2>
	<script2 type="text/javascript" src="../static/javascripts/mmenu.min.js"></script2>
	<script2 type="text/javascript" src="../static/javascripts/chosen.min.js"></script2>
	<script2 type="text/javascript" src="../static/javascripts/slick.min.js"></script2>
	<script2 type="text/javascript" src="../static/javascripts/rangeslider.min.js"></script2>
	<script2 type="text/javascript" src="../static/javascripts/magnific-popup.min.js"></script2>
	<script2 type="text/javascript" src="../static/javascripts/waypoints.min.js"></script2>
	<script2 type="text/javascript" src="../static/javascripts/counterup.min.js"></script2>
	<script2 type="text/javascript" src="../static/javascripts/jquery-ui.min.js"></script2>
	<script2 type="text/javascript" src="../static/javascripts/tooltips.min.js"></script2>
	<script2 type="text/javascript" src="../static/javascripts/custom.js"></script2>


